#!/bin/bash
if [ $# -eq 2 ] 
then
	t1=`mktemp`
	t2=`mktemp`
	hexdump -v -e '"0x%07.7_ax: "' -e '16/1 "$%02X, "' -e '"\n"' $1 > $t1
	hexdump -v -e '"0x%07.7_ax: "' -e '16/1 "$%02X, "' -e '"\n"' $2 > $t2
	diff --suppress-common-lines -d -y $t1 $t2 | less
	rm -rf $t1
	rm -rf $t2
else
	echo "Usege: file1 file2"
fi
